/* list.c - Functions and routines pertaining to listing parts.

 * Copyright (c) 2005 Devin Smith
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:

 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.

*/

#include "auto.h"
#include "apisres.h"


int GetItemList(HWND hWnd, HWND hlistcon);


BOOL _stdcall ListItemDlg(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)
{

   HWND hlist = NULL;
   LV_COLUMN lvc;

	switch(msg) {
		case WM_INITDIALOG:
			hlist = GetDlgItem(hwnd,499);
			lvc.mask = LVCF_TEXT|LVCF_WIDTH;
			lvc.pszText = "Item Number";
			lvc.cx = 100;
			ListView_InsertColumn(hlist, 0, &lvc);
			lvc.pszText = "Description";
			ListView_InsertColumn(hlist, 1, &lvc);
			lvc.pszText = "Q4S";
			ListView_InsertColumn(hlist, 2, &lvc);
			break;

		case WM_CLOSE:
			EndDialog(hwnd,0);
			return 1;
		case WM_COMMAND:
			switch (LOWORD(wParam)) {
				case IDOK:
					EndDialog(hwnd,1);
					return 1;
				case 499:
					GetItemList(hwnd, hlist);
					break;

			}
			break;
	}
	return 0;
}

int GetItemList(HWND hWnd, HWND hlistcon)
{

   SQLHSTMT  hstmt;                      /* hstmt for query */
   SQLRETURN nResult;        /* Result code */
   SQLCHAR itemnum[20], desc[52];
   SQLINTEGER itemnumlen, desclen, qforslen;
   SQLUINTEGER qfors;

   LV_ITEM lvi;


   SQLAllocHandle(SQL_HANDLE_STMT,hdbc, &hstmt);

   nResult = SQLExecDirect( hstmt, "SELECT ITEM FROM ABS..ARINVT01", SQL_NTS);

   if (nResult != SQL_SUCCESS && nResult != SQL_SUCCESS_WITH_INFO) {
      DisplayError(nResult, hWnd, SQL_HANDLE_STMT, hstmt);
	return FALSE;
   }

   SQLBindCol(hstmt, 1, SQL_C_CHAR, itemnum, sizeof(itemnum), &itemnumlen);
   //SQLBindCol(hstmt, 2, SQL_C_CHAR, desc, sizeof(desc), &desclen);
   //SQLBindCol(hstmt, 3, SQL_C_ULONG, &qfors, 0, &qforslen);

   //nResult = SQLFetch(hstmt);

   lvi.iSubItem = 0;
   lvi.iItem = 0;

   if ((nResult = SQLFetch(hstmt)) != SQL_NO_DATA ) {

   lvi.mask = LVIF_TEXT;
   lvi.pszText = itemnum;
   //SendMessage(hlistcon, LVM_INSERTITEM, 0, &lvi);
   ListView_InsertItem(hlistcon, &lvi);
   lvi.iItem++;
   }

   SQLCloseCursor(hstmt);

   return 1;
}


