/* setup.c - Functions and routines pertaining to setting up APIS.

 * Copyright (c) 2005 Devin Smith
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:

 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.

 */

#include "setup.h"
#include "apisres.h"

BOOL APIENTRY Cfg_Server(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
BOOL APIENTRY Cfg_Item(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);


int Create_PropertySheet(HWND hWndOwner, HINSTANCE ownerInst)
{
	PROPSHEETPAGE psp[2];
	PROPSHEETHEADER psh;

	psp[0].dwSize = sizeof(PROPSHEETPAGE);
	psp[0].dwFlags = PSP_USETITLE;
	psp[0].hInstance = ownerInst;
	psp[0].pszTemplate = MAKEINTRESOURCE(IDD_NEWMOD);
	psp[0].pszIcon = NULL;
	psp[0].pfnDlgProc = Cfg_Server;
	psp[0].pszTitle = "Company";
	psp[0].lParam = 0;

	psp[1].dwSize = sizeof(PROPSHEETPAGE);
	psp[1].dwFlags = PSP_USETITLE;
	psp[1].hInstance = ownerInst;
	psp[1].pszTemplate = MAKEINTRESOURCE(IDD_NEWITEM);
	psp[1].pszIcon = NULL;
	psp[1].pfnDlgProc = Cfg_Item;
	psp[1].pszTitle = "Reports";
	psp[1].lParam = 0;


	ZeroMemory(&psh, sizeof(psh));
	psh.dwSize = sizeof(PROPSHEETHEADER);
	psh.dwFlags = PSH_PROPSHEETPAGE | PSH_NOAPPLYNOW;
	psh.hwndParent = hWndOwner;
	psh.hInstance = ownerInst;
	psh.pszIcon = NULL;
	psh.pszCaption = (LPSTR) "Setup APIS";
	psh.nPages = sizeof(psp) / sizeof(PROPSHEETPAGE);
	psh.nStartPage = 0;
	psh.ppsp = (LPCPROPSHEETPAGE) &psp;

	return (PropertySheet(&psh));
}


BOOL APIENTRY Cfg_Server(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	//static PROPSHEETPAGE *ps;
	switch (uMsg)
	{
		case WM_INITDIALOG:
		   SetDlgItemText(hWnd, IDC_USERNAME, loginID);
		   break;

		case WM_CLOSE:
			EndDialog(hWnd,0);
			return 1;
		case WM_COMMAND:
			switch (LOWORD(wParam)) {
				case IDOK:
					EndDialog(hWnd,1);
					return 1;
			}
			break;
	}
	return 0;
}

BOOL APIENTRY Cfg_Item(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	//static PROPSHEETPAGE *ps;
	switch (uMsg)
	{
		case WM_INITDIALOG:
		   SetDlgItemText(hWnd, IDC_SALESRPT, reports1);
		   SetDlgItemText(hWnd, IDC_ITEMRPT, reports2);
		   SetDlgItemText(hWnd, IDC_STOCKRPT, reports3);
		   break;

		case WM_CLOSE:
		    GetDlgItemText(hWnd, IDC_SALESRPT, reports1, 255);
		    GetDlgItemText(hWnd, IDC_ITEMRPT, reports2, 255);
		    GetDlgItemText(hWnd, IDC_STOCKRPT, reports3, 255);

			EndDialog(hWnd,0);
			return 1;
		case WM_COMMAND:
			switch (LOWORD(wParam)) {
				case IDOK:
				    GetDlgItemText(hWnd, IDC_SALESRPT, reports1, 255);
				    GetDlgItemText(hWnd, IDC_ITEMRPT, reports2, 255);
				    GetDlgItemText(hWnd, IDC_STOCKRPT, reports3, 255);
					EndDialog(hWnd,1);
					return 1;
				//case IDC_GETLIST:
				//	RunQuery(hWnd);
				//	break;
			}
			break;
	}
	return 0;
}



